\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "El Cromato"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

  \header {instrument = "Tenore"}
% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C22")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
% \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
%\settime
\override Staff.TimeSignature   #'style = #'neomensural
\time 6/4
\key g \mixolydian

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: tenornotes.ly
tenornotes = {
  \clef "G_8"
  \relative c' {
    \af
    g2 a4 b c a g4. e8 fis4 g a4. b8 c g a16 b c a b4 c8 d e4 d b a d4. c8 b a g4 c4. b8 a2 d4 c b^"A" c a b4. a8 b c d4 e c d b2 c4 a b g a e8 fis g2 g'4. f8 e4 d e2
    r4 c d e c f e4. d8 c4 b c a2
    r4^"B" g d' c b8 g a4 g8 c4 d8 e4 d4. a8 b c a f'4 e8 f e d c d2 c b4 d4. c16 b c4 b a b
    r4 g c4. b8 a4 d4. c8 b4 a g c4. b8 a4 g2 f4^"C" a2 c4. d8 e4 c b c a g e8 f g4. e8 \an fis4 g4. a8 b4 c d8 e c d e4 a,8 b c g a4 g8 c4 b8 c4^"D" e d e f8 e d4 c8 a c4 b a4. b8 c a d2 c4 f4. e8 c4. d8 e4 b c b d2 c4 a c b g8 a b c d4 a4. b8 c d e2 a,4 c d2^"E" e4 c d4. c8 b4 c g a4. b8 c2 a4 d g, a4. g8 f4 e2 d
    r4 d' e d4. c8 b a b4 g4. a8 b4 c4.^"F" d8 e4 a, c4. b8 a4 g8 a b c d4 b g2 d'4 g, c2 b4 c4. d8 e4 a, d b e c f e d8 c4 b8 c4.^"G" d8 e4 a, f' e4. d8 c4 f8 e d c d4 b c2 f4 e4. d8 c4 d b c4. g8 a4 d e2 d4 c b c b1.\fermata 
    \endbar
}
}
\score{
  <<
	\context Staff="default"
	{
	  \transpose c c {
	    \voicedefault 
%	    \tenornotes
	    \looksSlower{\tenornotes }
	  }
	}
      >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
%		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{
	    \Staff
	    \consists Custos_engraver
	    \override Custos #'style = #'mensural
	  }	
	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}


% Local Variables:
% coding: utf-8
% End:

