\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "El Cromato"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: cantusnotes.ly
cantusnotes = {
  \relative c'' {
    r2 r4 g2 a4 b c a g c, d e f d e8 f g a b c d2 a4 b g4. f8 e d c2 f4. g8 a4 g4.^"A" e8 f4 d d'2 b4 c a f e g4. e8 f4 d c2 c'4 b d2 c b4 c2 g4 a g4. e8 f g a b c4 b a b g4. \af fis16 e fis4 g2^"B"
    r4 g d' c b8 g a b c4 b a g
    r4 g a8 b c4. b16 a b4 e,4. f8 g4 f e2 d4
    r4 d g4. f8 e4 a4. g8 f e d4 d'4. c8 b4 a g f4. e16 d e4 f2.^"C"
    r4 f g a d,8 g4 e8 f4 e2 d4 e d2 g e4 g a g f e c8 d b e d4 e^"D" g a8 b c2 b4 a2 gis4 a2.
    r2 r4 a2. g1. f2. e d c
    r4 c'2 b2.^"E" a g
    r4 f e a4. g8 f4 e8 d c b a4 d2 cis4 d4. e8 f e g2 a4 b4. c8 d2 b4 g a2^"F" g4 f4. e8 d4 c8 d e f g e f4 g2 e4
    r4 c2 d e4. f8 g4 f a g c4. b8 a4 g4. f16 e d4 e4.^"G" f8 g4 f a g c4. b8 a4 g4. f16 e d4 e c'8 b a4 g c2 b4. g8 a4 g4. fis16 e fis4 g2. e d1.\fermata
    \endbar
  }
}

% expanding: tenornotes.ly
tenornotes = {
  \clef "G_8"
  \relative c' {
    \af
    g2 a4 b c a g4. e8 fis4 g a4. b8 c g a16 b c a b4 c8 d e4 d b a d4. c8 b a g4 c4. b8 a2 d4 c b^"A" c a b4. a8 b c d4 e c d b2 c4 a b g a e8 fis g2 g'4. f8 e4 d e2
    r4 c d e c f e4. d8 c4 b c a2
    r4^"B" g d' c b8 g a4 g8 c4 d8 e4 d4. a8 b c a f'4 e8 f e d c d2 c b4 d4. c16 b c4 b a b
    r4 g c4. b8 a4 d4. c8 b4 a g c4. b8 a4 g2 f4^"C" a2 c4. d8 e4 c b c a g e8 f g4. e8 \an fis4 g4. a8 b4 c d8 e c d e4 a,8 b c g a4 g8 c4 b8 c4^"D" e d e f8 e d4 c8 a c4 b a4. b8 c a d2 c4 f4. e8 c4. d8 e4 b c b d2 c4 a c b g8 a b c d4 a4. b8 c d e2 a,4 c d2^"E" e4 c d4. c8 b4 c g a4. b8 c2 a4 d g, a4. g8 f4 e2 d
    r4 d' e d4. c8 b a b4 g4. a8 b4 c4.^"F" d8 e4 a, c4. b8 a4 g8 a b c d4 b g2 d'4 g, c2 b4 c4. d8 e4 a, d b e c f e d8 c4 b8 c4.^"G" d8 e4 a, f' e4. d8 c4 f8 e d c d4 b c2 f4 e4. d8 c4 d b c4. g8 a4 d e2 d4 c b c b1.\fermata 
    \endbar
}
}
% expanding: bassusnotes.ly
bassusnotes = {
  \clef "bass"
  \relative c {
    r1 r2 r4 c d e f d c f g c,2 g' d g4. f8 e d c4 f2 d4. e8 f4 g^"A" c, d g,2 g' e4 f d e2 c4 d b c a2 g
    r4 c8 d e f g4 c, c'2 a4 b c f,4. g8 a4 e f g c, d2 g,2.^"B"
    r1 r4 c4 g' f e8 c d4 c f8 g a4 g g, c4. d8 e4 d a2
    r4 d g4. f8 e4 a4. g8 f e d4 g2 d4 e f e f c2
    r4^"C" f4. g8 a4 f e f g c, d e c b c d g,2 g'4 a g8 e f4 e8 c d4 c f8 d e c g'4 c,2^"D"
    r4 c f g a e2
    r4 a2 fis4 g a d,4. e8 \af f4 c4. d8 e4 c g'4. a8 \an bes4 f4. g8 a4 e4. f8 g4 d4. e8 f4 c2 c'4. b8 a4 g4.^"E" f8 e4 f4 d2 e4 c4. b8 a4 d c f4. e8 d4 c2 d a
    r4 a'2 g f4 g2.
    r4 g2 f^"F" e4 f2. f4 e2 d4 e2 c4 b c a g2
    r4 c2 d e f g2.
    r4^"G" c,2 d e f g2. c,2
    r4 c'4. b8 a4 g2 f4 e d2 c4 c' g a e c g'1.\fermata
  }
  \endbar
}

% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C22")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
% \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
%\settime
\override Staff.TimeSignature   #'style = #'neomensural
\time 6/4
\key g \mixolydian

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
         <<

  <<
	\context Staff="1"
	{
	  \transpose c c {
	    \voicedefault 
	    \looksSlower{\cantusnotes }
%	    \cantusnotes
	  }
	}
      >>


<<	\context Staff="3"
	{
	  \transpose c c {
	    \voicedefault
	    \looksSlower{\tenornotes}
%	    \tenornotes
	  }
	}

>>


<<	\context Staff="6"
	{
	  \transpose c c {
%	    \clef "bass"
	    \voicedefault
	    \looksSlower{\bassusnotes}
% 	    \bassusnotes
	  }
	}
>>

    >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{

	    \Staff
	    \consists "Timing_translator" 
	    \consists "Default_bar_line_engraver"
	    \consists "Repeat_acknowledge_engraver"
	  }
	  \context{
	    \Score
	    \remove "Timing_translator" 
	    \remove "Default_bar_line_engraver"
	    \remove "Repeat_acknowledge_engraver"
	  }

	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}
% Local Variables:
% coding: utf-8
% End:

